#!/usr/bin/perl -w
# 
# Copyright (C) 2003,2004 Alexandre Dulaunoy <adulau@foo.be>
#
# This program is  free software; you can redistribute  it and/or modify
# it under the  terms of the GNU General Public  License as published by
# the Free Software Foundation; either  version 2 of the License, or (at
# your option) any later version.
#
# This program  is distributed in the  hope that it will  be useful, but
# WITHOUT   ANY  WARRANTY;   without  even   the  implied   warranty  of
# MERCHANTABILITY  or FITNESS  FOR A  PARTICULAR PURPOSE.   See  the GNU
# General Public License for more details.
#
# You  should have received  a copy  of the  GNU General  Public License
# along  with  this  program;  if   not,  write  to  the  Free  Software
# Foundation, Inc., 59 Temple Place  - Suite 330, Boston, MA 02111-1307,
# USA.
#
# The MQS::Log  file is part of the MQS project.
#
# $Id: Log.pm,v 1.1 2003/10/26 17:46:44 adulau Exp $

package MQS::Log;

use strict;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

require Exporter;
require AutoLoader;

$VERSION = '0.01';


sub logMessage {
    my $message = shift;
    my $time    = POSIX::strftime( "%Y-%m-%d %H:%M:%S%z", localtime );
    my $logpath = $allconfig{general}{path} . "/var/mqsd.log";
    open( LOG, ">>$logpath" );
    print LOG "$time" . " [" . $$ . "] " . "$message\n";
    close(LOG);
    return;
}

1;

